Update Snowflake Account Credentials
curl --request PUT \
--url https://api.select.dev/api/snowflake-accounts/{snowflake_account_uuid}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"private_key": "<string>",
"private_key_passphrase": "<string>"
}
'import requests
url = "https://api.select.dev/api/snowflake-accounts/{snowflake_account_uuid}/credentials"
payload = {
"private_key": "<string>",
"private_key_passphrase": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({private_key: '<string>', private_key_passphrase: '<string>'})
};
fetch('https://api.select.dev/api/snowflake-accounts/{snowflake_account_uuid}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}snowflake-accounts
Update Snowflake Account Credentials
deprecated
PUT
/
api
/
snowflake-accounts
/
{snowflake_account_uuid}
/
credentials
Update Snowflake Account Credentials
This v1 endpoint is deprecated and will be removed in the coming weeks. Use
PATCH /snowflake-accounts/{snowflake_account_id} in the
v2 API instead. Note that the v2 equivalent is a
PATCH, not a PUT.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The new key pair credentials for SELECT to access your Snowflake account with.
The private key for the Snowflake account user. This can be encrypted with a passphrase if desired. The key should be in PEM format. I.e. with a one-line header, consisting of -----BEGIN, a label, and -----, and a one-line footer, consisting of -----END, a label, and -----. However, we can also accept the key as a one-liner string with spaces instead of newlines, which happens if you paste a key into the api playground in our documentation.
The passphrase for the private key, if encrypted.
Response
Successful Response

